> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Logbook

> Retrieve a staff member's logbook history.

<Note>Image links from this endpoint are only valid for 1 hour</Note>


## OpenAPI

````yaml get /staff/logbook/{workspaceId}/{staffId}
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /staff/logbook/{workspaceId}/{staffId}:
    get:
      tags:
        - Staff
      description: Retrieve a staff member's logbook history.
      parameters:
        - schema:
            type: string
          in: path
          name: workspaceId
          required: true
        - schema:
            type: string
          in: path
          name: staffId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    _id:
                      type: string
                    author:
                      type: string
                    workspace:
                      type: string
                    staff_id:
                      type: string
                    type:
                      type: string
                    message:
                      type: string
                    files:
                      type: array
                      items:
                        type: string
                    videos:
                      type: array
                      items:
                        type: string
                    expired:
                      type: boolean
                    expiration:
                      type: string
                    createdAt:
                      type: string
                      format: date-time
                    updatedAt:
                      type: string
                      format: date-time
                    from_trello:
                      type: boolean
                    rank_to:
                      type: object
                      properties:
                        name:
                          type: string
                        rank:
                          type: number
                        id:
                          type: string
                    unfurls:
                      type: array
                      items:
                        type: object
                        properties:
                          url:
                            type: string
                          title:
                            type: string
                          description:
                            type: string
                          image:
                            type: string
                          stream:
                            type: string
                  required:
                    - _id
                    - author
                    - workspace
                    - staff_id
                    - type
                    - message
                    - files
                    - videos
                    - createdAt
                    - updatedAt
                    - from_trello
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````